Page MenuHomePhabricator

[lldb] Run the test suite in verbose mode
ClosedPublic

Authored by JDevlieghere on Jan 10 2022, 1:53 PM.

Details

Diff Detail

Event Timeline

JDevlieghere requested review of this revision.Jan 10 2022, 1:53 PM
JDevlieghere created this revision.
This revision is now accepted and ready to land.Jan 10 2022, 2:26 PM
omjavaid accepted this revision.Jan 10 2022, 2:43 PM
ljmf00 added a subscriber: ljmf00.Jan 10 2022, 8:26 PM
ljmf00 added inline comments.
zorg/buildbot/builders/LLDBBuilder.py
50–51

I don't know if ninja verbosity propagates to llvm-lit, but isn't this more appropriate in LLVM_LIT_ARGS cmake flag?

ljmf00 added inline comments.Jan 10 2022, 8:27 PM
JDevlieghere marked 2 inline comments as done.
ljmf00 accepted this revision.Jan 11 2022, 12:06 AM
This revision was landed with ongoing or failed builds.Jan 13 2022, 3:30 PM
This revision was automatically updated to reflect the committed changes.

Hey Galina,

Seems like this didn't take effect until the buildbots got rebooted, which
seems to have happened last night. Apparently my patch broke all the
buildbots because the jobs variable was not what I thought it was...

Anyway, I've removed the offending code
in 4d68a096efc7b5ad0d55cf64225962b9ba9ffed9. Would you mind restarting the
buildbots again so that can take effect?

Thanks,
Jonas

gkistanova added inline comments.Jan 15 2022, 2:55 PM
zorg/buildbot/builders/LLDBBuilder.py
72

To work as expected, this line should be wrapped in WithProperties either here, or each of the cmake_options items below before calling CmakeCommand.

And you do not need extra quotation marks around %s here, even if multiple options is specified for -DLLVM_LIT_ARGS.

Since @omjavaid is working on a related change in https://reviews.llvm.org/D117363, perhaps he can make the necessary changes there to support -j for the tests?